Contribute
Register

installing OSX Mavericks in genuine Mac Mini 2014 2018?

Joined
Sep 20, 2018
Messages
2
Motherboard
5,1
CPU
w3530
Graphics
5770
i´m interested in running older OSX SnowLeopard 10.6.8 & OSX Mavericks 10.9.5
in Genuine Mac Mini 2014 and 2018
but seems impossible.

tested latest Clover 5137, latest rEFInd 0.13.2, Grub 2 / Grub Repair Disk, None work...

i was using USB2.0,
maybe using SATA-III ?

USB2.0 should work.
but problem maybe is that MacMini 2014 has USB3.0 chip, and older OSX does Not have that driver?
but the pre-installed HDD has all USB 3.0 drivers i could install in a Mac Pro 5,1 2010

it´s very weird because latest update for OSX Mavericks was in 2016,
but does Not run on a Mac Mini 2014

OSX SnowLeopard was 2009 - 2011

i only missed testing RefindPlus, Rescatux & SuperGrub

IF this works,
there is another problem...

Mac Mini 2014 2018 does Not have FireWire,
i don´t know if Apple Thunderbolt1/2 to FireWire 800 adapter will work or Not in OSX SnowLeopard.
FireWire support is very important in OSX SnowLeopard for many reasons.

but... No Virtual Machine SW "Parallels / VMWareFusionPlayer 12.1 / Oracle VirtualBox"
None has FireWire Pass Through Drivers.
what makes it pointless to run OSX SnowLeopard in a VM.
 
Last edited:

Feartech

Moderator
Joined
Aug 3, 2013
Messages
23,715
Motherboard
Asus N752VX-OpenCore
CPU
i7-6700HQ / HM170
Graphics
HD 530 1920 x 1080
Mac
  1. iMac
Mobile Phone
  1. iOS
i´m interested in running older OSX SnowLeopard 10.6.8 & OSX Mavericks 10.9.5
in Genuine Mac Mini 2014 and 2018
but seems impossible.

tested latest Clover 5137, latest rEFInd 0.13.2, Grub 2 / Grub Repair Disk, None work...

i was using USB2.0,
maybe using SATA-III ?

USB2.0 should work.
but problem maybe is that MacMini 2014 has USB3.0 chip, and older OSX does Not have that driver?
but the pre-installed HDD has all USB 3.0 drivers i could install in a Mac Pro 5,1 2010

it´s very weird because latest update for OSX Mavericks was in 2016,
but does Not run on a Mac Mini 2014

OSX SnowLeopard was 2009 - 2011

i only missed testing RefindPlus, Rescatux & SuperGrub
i have moved your post to mac mini
 

trs96

Moderator
Joined
Jul 31, 2012
Messages
20,526
Motherboard
GA-Z97X-UD3H-BK
CPU
i5-4690K
Graphics
HD4600 / RX 570
Mac
  1. MacBook Pro
  2. Mac mini
Mobile Phone
  1. Android
i´m interested in running older OSX SnowLeopard 10.6.8 & OSX Mavericks 10.9.5
in Genuine Mac Mini 2014 and 2018
but seems impossible.
It is impossible.
It´s very weird because latest update for OSX Mavericks was in 2016,
but does Not run on a Mac Mini 2014
You could easily run Mavericks on an Ivy Bridge or even a Haswell based hackintosh. Use iMac 13,2 on Ivy Bridge or the 14,2 SMBIOS on a Haswell system. With a core i5 or i7 it will perform even better than a dual core 2014 mini.

When it comes to Macs, what I do is always check with Everymac.com to see the pre-installed or maxiumum OS it can run.

Screen Shot.jpg


The Late 2014 can only run Yosemite or newer, not Mavericks 10.9. No way around that other than to trade it for a 2012 Mac mini. The 2012 can't run Snow Leopard as it's Ivy Bridge based. I think it's possible that the 2011 Mac mini with HD3000 can run Snow Leopard 10.6.8. Never tried it myself. I'm sure there would be driver problems involved.

The 2010 mini would be a better choice there. Full SL support OOB.
 
Last edited:
Joined
May 11, 2011
Messages
1,743
Motherboard
Gigabyte B550 Vision D
CPU
Ryzen 5900X
Graphics
RX 6800
Mac
  1. iMac
  2. MacBook
  3. MacBook Air
  4. MacBook Pro
  5. Mac mini
  6. Mac Pro
Classic Mac
  1. Power Mac
  2. PowerBook
Mobile Phone
  1. iOS
It is impossible.

You could easily run Mavericks on an Ivy Bridge or even a Haswell based hackintosh. Use iMac 13,2 on Ivy Bridge or the 14,2 SMBIOS on a Haswell system. With a core i5 or i7 it will perform even better than a dual core 2014 mini.

When it comes to Macs, what I do is always check with Everymac.com to see the pre-installed or maxiumum OS it can run.

View attachment 522655

The Late 2014 can only run Yosemite or newer, not Mavericks 10.9. No way around that other than to trade it for a 2012 Mac mini. The 2012 can't run Snow Leopard as it's Ivy Bridge based. I think it's possible that the 2011 Mac mini with HD3000 can run Snow Leopard 10.6.8. Never tried it myself. I'm sure there would be driver problems involved.

The 2010 mini would be a better choice there. Full SL support OOB.
I know it’s almost impossible from the normal Apple upgrade path, but there’s a slim chance it might work with the recently announced Opencore Legacy Patcher. Folks have been using it to run the newer OSes like Big Sur on older non-supported Macs. It might work for Mavericks.
>
 
Top